/********************************************************
 *							*
 *	Pad.h						*
 *							*
 *							*
 *  Copyright (C) 1996 Sony Computer Entertainment Inc.	*
 *	All Rights Reserved				*
 *							*
 ********************************************************/


	// prototypes for pad.c
void PadInit (void);
u_long PadRead (void);


	// constants for interface
#define PADLup     (1<<12)
#define PADLdown   (1<<14)
#define PADLleft   (1<<15)
#define PADLright  (1<<13)
#define PADRup     (1<< 4)
#define PADRdown   (1<< 6)
#define PADRleft   (1<< 7)
#define PADRright  (1<< 5)
#define PADi       (1<< 9)
#define PADj       (1<<10)
#define PADk       (1<< 8)
#define PADl       (1<< 3)
#define PADm       (1<< 1)
#define PADn       (1<< 2)
#define PADo       (1<< 0)
#define PADh       (1<<11)
#define PADL1      PADn
#define PADL2      PADo
#define PADR1      PADl
#define PADR2      PADm
#define PADstart   PADh
#define PADselect  PADk
#define PAD2Lup     ((1<<12)<<16)
#define PAD2Ldown   ((1<<14)<<16)
#define PAD2Lleft   ((1<<15)<<16)
#define PAD2Lright  ((1<<13)<<16)
#define PAD2Rup     ((1<< 4)<<16)
#define PAD2Rdown   ((1<< 6)<<16)
#define PAD2Rleft   ((1<< 7)<<16)
#define PAD2Rright  ((1<< 5)<<16)
#define PAD2i       ((1<< 9)<<16)
#define PAD2j       ((1<<10)<<16)
#define PAD2k       ((1<< 8)<<16)
#define PAD2l       ((1<< 3)<<16)
#define PAD2m       ((1<< 1)<<16)
#define PAD2n       ((1<< 2)<<16)
#define PAD2o       ((1<< 0)<<16)
#define PAD2h       ((1<<11)<<16)
#define PAD2L1      PAD2n
#define PAD2L2      PAD2o
#define PAD2R1      PAD2l
#define PAD2R2      PAD2m
#define PAD2start   PAD2h
#define PAD2select  PAD2k
